Update Student Devices to iPadOS 17.1
Back

Update Student Devices to iPadOS 17.1

Jan 1, 0001

Student iPad devices must be updated to iPadOS 17.1 due to critical fixes released by Apple. This update is required in order to access the ISAT Secure Browser.

Cambium Assessment Inc. (CAI) discovered a critical issue in iPadOS 17.0 that impacts use with Secure Browser version 9.0. When guided access is enabled, the Secure Browser app crashes if a student interacts with a text field within the test. Apple addressed this problem in iPadOS 17.1. As a result, CAI will be blocking access to Secure Browser version 9.0 when used with iPadOS 17.0.

Topics: